Subject: Re: bug#26153: 26.0.50; Garbage displayed at visual line boundaries

From: Eli Zaretskii <[email-masked]>
Date: Sat, 18 Mar 2017 15:58:52 +0200

> From: Yuri D'Elia <[email-masked]>
> Date: Sat, 18 Mar 2017 13:00:40 +0100
> 
> In the last weeks a new issue crept up in the display engine. Some
> visual garbage is drawn at the horizontal lower/upper edge when using
> hl-line-mode, on the region, or anything that redraws the current visual
> line to fill the background.

Your hl-line face seems to use bold, does your region face use bold as
well?

And which other kinds of "anything that redraws the current visual
line to fill the background" did you see which leave these artifacts
on the screen?

Also, does "C-l" or "M-x redraw-display RET" remove these artifacts?